import type { _NSObject } from "../Foundation/NSObject.js";
import type { CHHapticDynamicParameterID } from "./CHHapticDynamicParameterID.js";
export declare class _CHHapticDynamicParameter extends _NSObject {
    static alloc(): _CHHapticDynamicParameter;
    static new(): _CHHapticDynamicParameter;
    init(): _CHHapticDynamicParameter;
    /**
     * @method initWithParameterID:value:relativeTime @abstract Initialize a CHHapticDynamicParameter with a parameter ID, value, and relative time. @param parameterID The CHHapticDynamicParameterID for the desired parameter change. @param value The value for that parameter. @param time The time at which this parameter should be applied, relative to the start time of the pattern.
     */
    initWithParameterID$value$relativeTime$(parameterID: CHHapticDynamicParameterID, value: number, time: number): _CHHapticDynamicParameter;
    /** @property parameterID The ID of the dynamic parameter to use. */
    parameterID(): CHHapticDynamicParameterID;
    /** @property value The value of the parameter. */
    value(): number;
    setValue$(value: number): void;
    /**
     * @property relativeTime The time at which the parameter should be applied, relative to the start time for the pattern.
     */
    relativeTime(): number;
    setRelativeTime$(value: number): void;
}
